Name:          cargo
Version:       1.0
Release:       %mkrel 2
Summary:       Cargo container wrapper
Group:         Development/Java
License:       ASL 2.0
Url:           http://cargo.codehaus.org/
# svn export http://svn.codehaus.org/cargo/core/tags/cargo-core-1.0/ core
# tar czf cargo-core-1.0-src-svn.tar.gz core
Source0:       cargo-core-1.0-src-svn.tar.gz
# svn export http://svn.codehaus.org/cargo/extensions/tags/cargo-extensions-1.0/ extensions
# tar czf cargo-extensions-1.0-src-svn.tar.gz extensions
Source1:       cargo-extensions-1.0-src-svn.tar.gz
# svn export http://svn.codehaus.org/cargo/resources/tags/cargo-resources-1.0/ resources
# tar czf cargo-resources-1.0-src-svn.tar.gz resources
Source2:       cargo-resources-1.0-src-svn.tar.gz
# from http://svn.codehaus.org/cargo/trunks/pom.xml  and modified
Source3:       cargo-trunks.pom
# svn export http://svn.codehaus.org/cargo/pom/tags/cargo-parent-4.1/pom.xml pom
# tar czf cargo-parent-4.1-pom.tar.gz pom
Source4:       cargo-parent-4.1-pom.tar.gz
#Source1:       ...

Patch0:         cargo-1.0-core-pom_xml.patch
Patch1:         cargo-1.0-core-uberjar.patch
Patch2:         cargo-1.0-extensions-ant-pom_xml.patch
Patch3:         cargo-1.0-extensions-maven-pom_xml.patch
Patch4:         cargo-1.0-core-containers-no-jonas.patch
Patch5:         cargo-1.0-core-samples-pom_xml.patch
Patch6:         cargo-1.0-core-api-pom_xml.patch
Patch7:         cargo-1.0-core-containers-pom_xml.patch
Patch8:         cargo-1.0-extensions-no-maven.patch
Patch9:         cargo-1.0-extensions-maven2-no-archetypes.patch
# Build/Requires org.springframework spring 2.5.6
Patch10:        cargo-1.0-resources-no-datasource-cmt-local-war.patch

Patch11:        cargo-1.0-resources-jetty-deployer.patch


BuildRequires: ant
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-discovery
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-vfs >= 2.0-1
BuildRequires: derby
BuildRequires: dom4j
BuildRequires: geronimo-ejb-2.1-api
BuildRequires: geronimo-j2ee-1.4-api
BuildRequires: geronimo-j2ee-deployment-1.1-api
BuildRequires: geronimo-j2ee-management-1.0-api
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: glassfish-jaf
BuildRequires: javamail
BuildRequires: jaxen
BuildRequires: jdom
BuildRequires: jetty
BuildRequires: jmock1
BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-ear-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-one-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-ejb-plugin
BuildRequires: maven-war-plugin

BuildRequires: modello
BuildRequires: plexus-utils
BuildRequires: servletapi4
BuildRequires: servletapi5
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: xmlunit

Requires:      ant
Requires:      apache-commons-codec
Requires:      apache-commons-vfs
Requires:      geronimo-j2ee-1.4-api
Requires:      geronimo-j2ee-deployment-1.1-api
Requires:      javamail
Requires:      jdom
Requires:      jline
Requires:      liblog4j-java
Requires:      servletapi4
Requires:      xalan-j2
Requires:      xerces-j2

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Cargo is a thin wrapper around existing containers (e.g. J2EE
containers). It provides different APIs to easily manipulate
containers.
Cargo provides the following APIs:
* A Java API to start/stop/configure Java Containers and deploy
 modules into them. We also offer Ant tasks, Maven 1, Maven 2,
 Intellij IDEA and Netbeans plugins.
* A Java API to parse/create/merge J2EE Modules.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Cargo container wrapper.

This package contains javadoc for %{name}.

%prep
%setup -T -q -c cargo-%{version} -a0 -a1 -a2 -a4
cp -pr %{SOURCE3} pom.xml
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p1
%patch11 -p1


%build

export MAVEN_OPTS="-Xmx256m"
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-rpmbuild \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate 

pushd core/uberjar
mvn-rpmbuild \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  assembly:assembly
popd

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}
# core
install -m 644 core/api/container/target/%{name}-core-api-container-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/api/generic/target/%{name}-core-api-generic-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/api/module/target/%{name}-core-api-module-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/api/util/target/%{name}-core-api-util-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/geronimo/target/%{name}-core-container-geronimo-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/jboss/target/%{name}-core-container-jboss-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/jetty/target/%{name}-core-container-jetty-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/jo/target/%{name}-core-container-jo-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/jrun/target/%{name}-core-container-jrun-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/orion/target/%{name}-core-container-orion-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/resin/target/%{name}-core-container-resin-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/tomcat/target/%{name}-core-container-tomcat-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/containers/weblogic/target/%{name}-core-container-weblogic-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/documentation/target/%{name}-documentation-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/samples/java/target/%{name}-sample-java-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 core/uberjar/target/%{name}-core-uberjar-%{version}.jar %{buildroot}%{_javadir}/%{name}
# extensions
install -m 644 extensions/ant/target/%{name}-ant-%{version}.jar %{buildroot}%{_javadir}/%{name}
# resources
install -m 644 resources/build-tools/target/%{name}-build-tools-%{version}.jar %{buildroot}%{_javadir}/%{name}
install -m 644 resources/jetty-deployer/target/%{name}-jetty-deployer.war %{buildroot}%{_javadir}/%{name}
# testdata
install -m 644 resources/testdata/authentication-war/target/authentication-war-%{version}.war %{buildroot}%{_javadir}/%{name}/authentication-war.war
install -m 644 resources/testdata/classpath-war/target/classpath-war-%{version}.war %{buildroot}%{_javadir}/%{name}/classpath-war.war
install -m 644 resources/testdata/datasource-war/target/datasource-war-%{version}.war %{buildroot}%{_javadir}/%{name}/datasource-war.war
install -m 644 resources/testdata/empty-ear/target/empty-ear-%{version}.ear %{buildroot}%{_javadir}/%{name}/empty-ear.ear
install -m 644 resources/testdata/empty-jar/target/empty-jar-%{version}.jar %{buildroot}%{_javadir}/%{name}/empty-jar.jar
install -m 644 resources/testdata/expanded-war/target/expanded-war-%{version}.war %{buildroot}%{_javadir}/%{name}/expanded-war.war
install -m 644 resources/testdata/mailsession-war/target/mailsession-war-%{version}.war %{buildroot}%{_javadir}/%{name}/mailsession-war.war
install -m 644 resources/testdata/simple-ear/target/simple-ear-%{version}.ear %{buildroot}%{_javadir}/%{name}/simple-ear.ear
install -m 644 resources/testdata/simple-ejb/target/simple-ejb-%{version}.jar %{buildroot}%{_javadir}/%{name}/simple-ejb.jar
install -m 644 resources/testdata/simple-jar/target/simple-jar-%{version}.jar %{buildroot}%{_javadir}/%{name}/simple-jar.jar
install -m 644 resources/testdata/simple-war/target/simple-war-%{version}.war %{buildroot}%{_javadir}/%{name}/simple-war.war
install -m 644 resources/testdata/tomcat-context/target/tomcatcontext-war-%{version}.war %{buildroot}%{_javadir}/%{name}/tomcatcontext-war.war
install -m 644 resources/testdata/two-datasources-war/target/two-datasources-war-%{version}.war %{buildroot}%{_javadir}/%{name}/two-datasources-war.war
install -m 644 resources/testdata/xadatasource-war/target/xadatasource-war-%{version}.war %{buildroot}%{_javadir}/%{name}/xadatasource-war.war

(
  cd %{buildroot}%{_javadir}/%{name}
  for jar in *-%{version}*; do
    ln -sf  ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-trunks.pom
%add_maven_depmap JPP.%{name}-%{name}-trunks.pom
install -m 644 pom/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-parent.pom
# core
install -m 644 core/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core.pom
%add_maven_depmap JPP.%{name}-%{name}-core.pom
install -m 644 core/api/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-api.pom
%add_maven_depmap JPP.%{name}-%{name}-core-api.pom
install -m 644 core/api/container/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-api-container.pom
%add_maven_depmap JPP.%{name}-%{name}-core-api-container.pom %{name}/%{name}-core-api-container.jar
install -m 644 core/api/generic/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-api-generic.pom
%add_maven_depmap JPP.%{name}-%{name}-core-api-generic.pom %{name}/%{name}-core-api-generic.jar
install -m 644 core/api/module/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-api-module.pom
%add_maven_depmap JPP.%{name}-%{name}-core-api-module.pom %{name}/%{name}-core-api-module.jar
install -m 644 core/api/util/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-api-util.pom
%add_maven_depmap JPP.%{name}-%{name}-core-api-util.pom %{name}/%{name}-core-api-util.jar
install -m 644 core/containers/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-containers.pom
%add_maven_depmap JPP.%{name}-%{name}-core-containers.pom
install -m 644 core/containers/geronimo/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-geronimo.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-geronimo.pom %{name}/%{name}-core-container-geronimo.jar
install -m 644 core/containers/jboss/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-jboss.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-jboss.pom %{name}/%{name}-core-container-jboss.jar
install -m 644 core/containers/jetty/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-jetty.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-jetty.pom %{name}/%{name}-core-container-jetty.jar
install -m 644 core/containers/jo/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-jo.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-jo.pom %{name}/%{name}-core-container-jo.jar
install -m 644 core/containers/jrun/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-jrun.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-jrun.pom %{name}/%{name}-core-container-jrun.jar
install -m 644 core/containers/orion/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-orion.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-orion.pom %{name}/%{name}-core-container-orion.jar
install -m 644 core/containers/resin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-resin.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-resin.pom %{name}/%{name}-core-container-resin.jar
install -m 644 core/containers/tomcat/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-tomcat.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-tomcat.pom %{name}/%{name}-core-container-tomcat.jar
install -m 644 core/containers/weblogic/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-container-weblogic.pom
%add_maven_depmap JPP.%{name}-%{name}-core-container-weblogic.pom %{name}/%{name}-core-container-weblogic.jar
install -m 644 core/documentation/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-documentation.pom
%add_maven_depmap JPP.%{name}-%{name}-documentation.pom %{name}/%{name}-documentation.jar
install -m 644 core/samples/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-sample.pom
%add_maven_depmap JPP.%{name}-%{name}-sample.pom
install -m 644 core/samples/java/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-sample-java.pom
%add_maven_depmap JPP.%{name}-%{name}-sample-java.pom %{name}/%{name}-sample-java.jar
install -m 644 core/uberjar/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-core-uberjar.pom
%add_maven_depmap JPP.%{name}-%{name}-core-uberjar.pom %{name}/%{name}-core-uberjar.jar
# extensions
install -m 644 extensions/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-extensions.pom
%add_maven_depmap JPP.%{name}-%{name}-extensions.pom
install -m 644 extensions/ant/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-ant.pom
%add_maven_depmap JPP.%{name}-%{name}-ant.pom %{name}/%{name}-ant.jar
# resources
install -m 644 resources/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-resources.pom
%add_maven_depmap JPP.%{name}-%{name}-resources.pom
install -m 644 resources/build-tools/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-build-tools.pom
%add_maven_depmap JPP.%{name}-%{name}-build-tools.pom %{name}/%{name}-build-tools.jar
install -m 644 resources/jetty-deployer/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-jetty-deployer.pom
%add_maven_depmap JPP.%{name}-%{name}-jetty-deployer.pom %{name}/%{name}-jetty-deployer.war
# testdata
install -m 644 resources/testdata/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-samples-testdata.pom
%add_maven_depmap JPP.%{name}-%{name}-samples-testdata.pom
install -m 644 resources/testdata/authentication-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-authentication-war.pom
%add_maven_depmap JPP.%{name}-authentication-war.pom %{name}/authentication-war.war
install -m 644 resources/testdata/classpath-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-classpath-war.pom
%add_maven_depmap JPP.%{name}-classpath-war.pom %{name}/classpath-war.war
install -m 644 resources/testdata/datasource-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-datasource-war.pom
%add_maven_depmap JPP.%{name}-datasource-war.pom %{name}/datasource-war.war
install -m 644 resources/testdata/empty-ear/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-empty-ear.pom
%add_maven_depmap JPP.%{name}-empty-ear.pom %{name}/empty-ear.ear
install -m 644 resources/testdata/empty-jar/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-empty-jar.pom
%add_maven_depmap JPP.%{name}-empty-jar.pom %{name}/empty-jar.jar
install -m 644 resources/testdata/expanded-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-expanded-war.pom
%add_maven_depmap JPP.%{name}-expanded-war.pom %{name}/expanded-war.war
install -m 644 resources/testdata/mailsession-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-mailsession-war.pom
%add_maven_depmap JPP.%{name}-mailsession-war.pom %{name}/mailsession-war.war
install -m 644 resources/testdata/simple-ear/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-simple-ear.pom
%add_maven_depmap JPP.%{name}-simple-ear.pom %{name}/simple-ear.ear
install -m 644 resources/testdata/simple-ejb/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-simple-ejb.pom
%add_maven_depmap JPP.%{name}-simple-ejb.pom %{name}/simple-ejb.jar
install -m 644 resources/testdata/simple-jar/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-simple-jar.pom
%add_maven_depmap JPP.%{name}-simple-jar.pom %{name}/simple-jar.jar
install -m 644 resources/testdata/simple-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-simple-war.pom
%add_maven_depmap JPP.%{name}-simple-war.pom %{name}/simple-war.war
install -m 644 resources/testdata/tomcat-context/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-tomcatcontext-war.pom
%add_maven_depmap JPP.%{name}-tomcatcontext-war.pom %{name}/tomcatcontext-war.war
install -m 644 resources/testdata/two-datasources-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-two-datasources-war.pom
%add_maven_depmap JPP.%{name}-two-datasources-war.pom %{name}/two-datasources-war.war
install -m 644 resources/testdata/xadatasource-war/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-xadatasource-war.pom
%add_maven_depmap JPP.%{name}-xadatasource-war.pom %{name}/xadatasource-war.war


mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
# core

%{_javadir}/%{name}/cargo-core-api-container-%{version}.jar
%{_javadir}/%{name}/cargo-core-api-container.jar
%{_javadir}/%{name}/cargo-core-api-generic-%{version}.jar
%{_javadir}/%{name}/cargo-core-api-generic.jar
%{_javadir}/%{name}/cargo-core-api-module-%{version}.jar
%{_javadir}/%{name}/cargo-core-api-module.jar
%{_javadir}/%{name}/cargo-core-api-util-%{version}.jar
%{_javadir}/%{name}/cargo-core-api-util.jar
%{_javadir}/%{name}/cargo-core-container-geronimo-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-geronimo.jar
%{_javadir}/%{name}/cargo-core-container-jboss-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-jboss.jar
%{_javadir}/%{name}/cargo-core-container-jetty-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-jetty.jar
%{_javadir}/%{name}/cargo-core-container-jo-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-jo.jar
%{_javadir}/%{name}/cargo-core-container-jrun-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-jrun.jar
%{_javadir}/%{name}/cargo-core-container-orion-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-orion.jar
%{_javadir}/%{name}/cargo-core-container-resin-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-resin.jar
%{_javadir}/%{name}/cargo-core-container-tomcat-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-tomcat.jar
%{_javadir}/%{name}/cargo-core-container-weblogic-%{version}.jar
%{_javadir}/%{name}/cargo-core-container-weblogic.jar
%{_javadir}/%{name}/cargo-core-uberjar-%{version}.jar
%{_javadir}/%{name}/cargo-core-uberjar.jar
%{_javadir}/%{name}/cargo-documentation-%{version}.jar
%{_javadir}/%{name}/cargo-documentation.jar
%{_javadir}/%{name}/cargo-sample-java-%{version}.jar
%{_javadir}/%{name}/cargo-sample-java.jar
# extensions
%{_javadir}/%{name}/cargo-ant-%{version}.jar
%{_javadir}/%{name}/cargo-ant.jar
# resources
%{_javadir}/%{name}/cargo-build-tools-%{version}.jar
%{_javadir}/%{name}/cargo-build-tools.jar
%{_javadir}/%{name}/cargo-jetty-deployer.war
# testdata
%{_javadir}/%{name}/authentication-war.war
%{_javadir}/%{name}/classpath-war.war
%{_javadir}/%{name}/datasource-war.war
%{_javadir}/%{name}/empty-ear.ear
%{_javadir}/%{name}/empty-jar.jar
%{_javadir}/%{name}/expanded-war.war
%{_javadir}/%{name}/mailsession-war.war
%{_javadir}/%{name}/simple-ear.ear
%{_javadir}/%{name}/simple-ejb.jar
%{_javadir}/%{name}/simple-jar.jar
%{_javadir}/%{name}/simple-war.war
%{_javadir}/%{name}/tomcatcontext-war.war
%{_javadir}/%{name}/two-datasources-war.war
%{_javadir}/%{name}/xadatasource-war.war
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/JPP.cargo-cargo-parent.pom
%{_mavenpomdir}/JPP.cargo-cargo-trunks.pom
%{_mavenpomdir}/JPP.cargo-cargo-core*.pom
%{_mavenpomdir}/JPP.cargo-cargo-documentation.pom
%{_mavenpomdir}/JPP.cargo-cargo-sample-java.pom
%{_mavenpomdir}/JPP.cargo-cargo-sample.pom
%{_mavenpomdir}/JPP.cargo-cargo-ant.pom
%{_mavenpomdir}/JPP.cargo-cargo-extensions*.pom
%{_mavenpomdir}/JPP.cargo-cargo-resources.pom
%{_mavenpomdir}/JPP.cargo-cargo-build-tools.pom
%{_mavenpomdir}/JPP.cargo-cargo-jetty-deployer.pom
%{_mavenpomdir}/JPP.cargo-cargo-samples-testdata.pom
%{_mavenpomdir}/JPP.cargo-authentication-war.pom
%{_mavenpomdir}/JPP.cargo-classpath-war.pom
%{_mavenpomdir}/JPP.cargo-datasource-war.pom
%{_mavenpomdir}/JPP.cargo-empty-ear.pom
%{_mavenpomdir}/JPP.cargo-empty-jar.pom
%{_mavenpomdir}/JPP.cargo-expanded-war.pom
%{_mavenpomdir}/JPP.cargo-mailsession-war.pom
%{_mavenpomdir}/JPP.cargo-simple-ear.pom
%{_mavenpomdir}/JPP.cargo-simple-ejb.pom
%{_mavenpomdir}/JPP.cargo-simple-jar.pom
%{_mavenpomdir}/JPP.cargo-simple-war.pom
%{_mavenpomdir}/JPP.cargo-tomcatcontext-war.pom
%{_mavenpomdir}/JPP.cargo-two-datasources-war.pom
%{_mavenpomdir}/JPP.cargo-xadatasource-war.pom

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 07 2012 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 192819
- Remove maven2 subpackage, maven2 is deprecated

* Wed Oct 19 2011 gil <gil> 1.0-1.mga2
+ Revision: 156550
- imported package cargo

